DELIMITER ;;
CREATE PROCEDURE `spaltamodclientes`(
  in iid int,
  in inumero_cliente int,
  in irazon_social varchar(255),
  in iciudad varchar(255) ,
  in iprovincia varchar(255),
  in ifecha datetime ,
  in ideshabilitado tinyint
)
    NO SQL
begin
declare ExisteCliente  int;
set ExisteCliente = (select id from contenidos_clientes  where numero_cliente  = inumero_cliente);
if (ExisteCliente  > 0) then
	UPDATE contenidos_clientes
		SET razon_social = irazon_social, 
		ciudad = iciudad,
		provincia = iprovincia,
		deshabilitado = NULL 
	WHERE id=existecliente;
else
	INSERT INTO contenidos_clientes 
		(numero_cliente, razon_social,ciudad,provincia,fecha, deshabilitado)
	VALUES(inumero_cliente, irazon_social,iciudad,iprovincia,ifecha, null);
end if; 
select ExisteCliente;
end ;;
DELIMITER ;


MariaDB [aliadasc_web2019]> source spaltamodclientes.sql;
Query OK, 0 rows affected (0.02 sec)

MariaDB [aliadasc_web2019]>


